Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class JobMethodInvocationFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.scheduling.quartz.JobMethodInvocationFailedException

All Implemented Interfaces:
  Serializable

    public class JobMethodInvocationFailedException

extends NestedRuntimeException

Unchecked exception that wraps an exception thrown from a target method. Propagated to the Quartz scheduler from a Job that reflectively invokes an arbitrary target method.

Since:
  2.5.3
Author:
  Juergen Hoeller
See Also:
  `MethodInvokingJobDetailFactoryBean`, Serialized Form

Constructor Summary
`JobMethodInvocationFailedException(MethodInvoker methodInvoker, Throwable cause)` Constructor for JobMethodInvocationFailedException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobMethodInvocationFailedException

    public JobMethodInvocationFailedException(MethodInvoker methodInvoker,
                                              Throwable cause)

  Constructor for JobMethodInvocationFailedException.

  Parameters:
    `methodInvoker` - the MethodInvoker used for reflective invocation
    `cause` - the root cause (as thrown from the target method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.